local my_actions = {
	{
		id          = "MULTIPLY_2",
		name 		= "Duplicate spell",
		description = "Activates next spell 2 times",
		sprite 		= "files/ui_gfx/gun_actions/multiply_2.png",
		sprite_unidentified = "data/ui_gfx/gun_actions/burst_2_unidentified.png",
		type 		= ACTION_TYPE_DRAW_MULTIPLE,
		spawn_level                       = "0,1,2,3", -- BERSERK_FIELD
		spawn_probability                 = "1,1,1,1", -- BERSERK_FIELD
		price = 200,
		mana = 2,
		action 		= function()
			c.fire_rate_wait = c.fire_rate_wait + 10
			c.spread_degrees = c.spread_degrees + 1.0
			multi_draw_action( 2, true )
		end,
	},
	{
		id          = "MULTIPLY_3",
		name 		= "Triplicate spell",
		description = "Activates next spell 3 times",
		sprite 		= "files/ui_gfx/gun_actions/multiply_3.png",
		sprite_unidentified = "data/ui_gfx/gun_actions/burst_3_unidentified.png",
		type 		= ACTION_TYPE_DRAW_MULTIPLE,
		spawn_level                       = "1,2,3,4", -- BERSERK_FIELD
		spawn_probability                 = "1,1,1,1", -- BERSERK_FIELD
		price = 250,
		mana = 4,
		action 		= function()
			c.fire_rate_wait = c.fire_rate_wait + 20
			c.spread_degrees = c.spread_degrees + 2.0
			multi_draw_action( 3, true )
		end,
	},
	{
		id          = "MULTIPLY_4",
		name 		= "Quadruplicate spell",
		description = "Activates next spell 4 times",
		sprite 		= "files/ui_gfx/gun_actions/multiply_4.png",
		sprite_unidentified = "data/ui_gfx/gun_actions/burst_4_unidentified.png",
		type 		= ACTION_TYPE_DRAW_MULTIPLE,
		spawn_level                       = "2,3,4,5", -- BERSERK_FIELD
		spawn_probability                 = "1,1,1,1", -- BERSERK_FIELD
		price = 300,
		mana = 6,
		action 		= function()
			c.fire_rate_wait = c.fire_rate_wait + 30
			c.spread_degrees = c.spread_degrees + 3.0
			multi_draw_action( 4, true )
		end,
	}
}

for _k, action in pairs(my_actions) do
	table.insert(actions, action)
end